SETTERM(1)

BEZEICHNUNG
setterm - legt Terminalattribute fest

ÜBERSICHT
setterm [Optionen]

BESCHREIBUNG
setterm schreibt eine Zeichenkette in die Standardausgabe, welche die angegebenen Terminal-Fähigkeiten anwendet. Wo es möglich ist, wird terminfo abgefragt, um die zu verwendende Zeichenkette zu finden. Einige Optionen (die nachfolgend als »nur für virtuelle Konsolen« gekennzeichnet sind) arbeiten nicht mit terminfo(5) zusammen. In diesem Fall wird, wenn der Terminaltyp »con« oder »linux« ist, die Zeichenkette ausgegeben, welche die angegebenen Fähigkeiten auf dem Treiber der virtuellen PC-Minix-Konsole aufruft. Optionen, die im Terminal nicht implementiert sind, werden ignoriert.

OPTIONEN
Die Vorgabe für die booleschen Optionen (on oder off) ist on.

Kurz gesagt besteht das unten stehende 8-color aus black, red, green, yellow, blue, magenta, cyan, oder white.

Ein in Terminfo hinterlegter Wert (hier 16 Farben) besteht aus dem in terminfo hinterlegten Wert (8 Farben), grey oder bright gefolgt von red, green, yellow, blue, magenta, cyan oder white.

Die verschiedenen Farboptionen können unabhängig voneinander festgelegt werden, zumindest für die virtuellen Konsolen. Jedoch bleibt der Erfolg beim Festlegen mehrerer Modi (zum Beispiel -underline und -half-bright) von der Hardware abhängig.

-appcursorkeys [on|off] (nur virtuelle Konsolen)
    schaltet den Cursortasten-Modus ein oder aus. Wenn eingeschaltet, wird für die Cursortasten ESC O A, ESC O B usw. anstelle von ESC [ A, ESC [ B gesendet. Im Abschnitt »vi and Cursor-Keys« des Text-Terminal-HOWTO finden Sie Informationen darüber, welche Probleme dies bei Anwendern von Vi verursachen kann.

-append [1-NR_DER_KONSOLE]
    wirkt wie -dump, aber hängt den Schnappschuss an die Datei an, anstatt sie zu überschreiben. Dies funktioniert nur, wenn keine -dump-Optionen angegeben werden.

-background 8-color|default (nur virtuelle Konsolen)
    legt die Hintergrundfarbe des Textes fest.

-blank [0-60|force|poke] (nur virtuelle Konsolen)
    legt das Inaktivitätsintervall in Minuten fest, nachdem der Bildschirm automatisch geleert wird (sofern APM verfügbar ist). Ohne dieses Argument wird der Leerstatus zurückgegeben (Nummer des virtuellen Terminals, welches geleert wurde oder 0 für ein nicht geleertes Terminal). Die Option force sorgt dafür, dass der Bildschirm leer bleibt, selbst wenn eine Taste gedrückt wird. Die Option poke zeigt den Bildschirminhalt wieder an.

-bfreq [Frequenzwert]
    legt die Frequenz des Klangs der Systemglocke in Hz fest. Ohne Argument wird 0 als Vorgabe verwendet.

-blength [0-2000]
    legt die Dauer des Klangs der Systemglocke in Millisekunden fest. Ohne Argument wird 0 als Vorgabe verwendet.

-blink [on|off]
    schaltet den Blinkmodus ein oder aus (siehe -hbcolor). Außer in einer virtuellen Konsole deaktiviert -blink off alle Attribute (bold, half-brightness, blink, reverse).

-bold [on|off]
    schaltet den extrahellen Modus ein oder aus. Außer in einer virtuellen Konsole deaktiviert -bold off alle Attribute (bold, half-brightness, blink, reverse).

-clear [all]
    löscht den Bildschirminhalt und setzt die Eingabemarke an die Ausgangsposition zurück, wie clear(1).

-clear rest
    löscht alles von der aktuellen Position der Eingabemarke bis zum Ende des Bildschirms.

-clrtabs [tab1 tab2 tab3 ...] (nur virtuelle Konsolen)
    löscht die Tabulatoren an den angegebenen horizontalen Positionen der Eingabemarke im Bereich von 1-160. Ohne Argumente werden alle Tabulatoren gelöscht.

-cursor [on|off]
    schaltet die Eingabemarke des Terminals ein oder aus.

-default
    setzt die Darstellungsoptionen des Terminals auf die Standardwerte.

-dump [1-NR_DER_KONSOLE]
    Writes a snapshot of the given virtual console to the file specified in the -file option, overwriting its contents; the default is screen.dump. Without an argument, dumps the current virtual console. Overrides -append.

-append [1-NR_DER_KONSOLE]
    wirkt wie -dump, aber hängt den Schnappschuss an die Datei an, anstatt sie zu überschreiben. Dies funktioniert nur, wenn keine -dump-Optionen angegeben werden.

-file Speicherdateiname
    legt den Namen der Schnappschussdatei für die Optionen -dump oder -append in der gleichen Befehlszeile fest. Wenn die Option nicht angegeben wird, dann wird als Vorgabename screen.dump im aktuellen Verzeichnis verwendet. Ein das Maximum des Systems übersteigender Pfadname wird abgeschnitten. Den dafür gültigen Wert finden Sie in PATH_MAX in linux/limits.h.

-msg [on|off] (nur virtuelle Konsolen)
    aktiviert oder deaktiviert das Senden von printk()-Meldungen des Kernels an die Konsole.

-msglevel 1-8 (nur virtuelle Konsolen)
    legt die Protokollierstufe der Konsole für die printk()-Meldungen des Kernels fest. All jene Meldungen, die strikt wichtiger (als die gesetzte Protokollierstufe) sind, werden ausgegeben, so dass eine Protokollierstufe 0 die gleiche Wirkung wie -msg on, und eine Protokollierstufe 8 die Ausgabe sämtlicher Kernel-Meldungen zur Folge hat. klogd(8) ist eine zur Protokollierung von Kernel-Meldungen vielleicht besser geeignete Schnittstelle.

-powerdown [0-60]
    legt das Intervall für das Versetzen in den VESA-Powerdown-Modus in Minuten fest. Ohne Argument wird 0 verwendet (Abschalten ist deaktiviert). Wenn die Konsole geleert wird oder sich der Bildschirm in einem Energiesparmodus befindet, dann wird der Bildschirm in den vsync-Suspend-Modus beziehungsweise den Powerdown-Modus versetzt, sobald die angegebene Zeitspanne verstrichen ist.

-underline [on|off]
    schaltet den Unterstreichungsmodus ein oder aus (siehe -ulcolor).

-powersave [off]
    schaltet die VESA-Energiesparfunktionen des Monitors ab.

-powersave on|vsync
    versetzt den Bildschirm in den vsync-Suspend-Modus nach VESA-Norm.

-powersave powerdown
    versetzt den Bildschirm in den Powerdown-Modus nach VESA-Norm.

-powersave hsync
    versetzt den Bildschirm in den hsync-Suspend-Modus nach VESA-Norm.

-regtabs [1-160] (nur virtuelle Konsolen)
    löscht alle Tabulatoren und setzt diese dann nach dem regulären Muster, mit jeweils einem Tabulator nach der angegebenen Anzahl der Positionen. Ohne Argument wird 8 als Vorgabe verwendet.

-repeat [on|off] (nur virtuelle Konsolen)
    schaltet Tastaturwiederholung ein oder aus.

-reset
    zeigt die Zeichenkette zum Zurücksetzen des Terminals an, welche typischerweise das Terminal in den Zustand nach dem Einschalten zurück versetzt.

-reverse [on|off]
    Schaltet den umgekehrten Videomodus ein oder aus. Außer in einer virtuellen Konsole deaktiviert -reverse off alle Attribute (bold, half-brightness, blink, reverse).

-store (nur virtuelle Konsolen)
    speichert die aktuellen Darstellungsoptionen des Terminals (Vordergrund- und Hintergrundfarbe) als Werte, die beim Zurücksetzen auf Standardwerte verwendet werden sollen.

-tabs [tab1 tab2 tab3 ...] (nur virtuelle Konsolen)
    setzt die Tabulatoren an die angegebenen horizontalen Positionen der Eingabemarke im Bereich von 1-160. Ohne Argumente werden die aktuellen Einstellungen für Tabulatoren angezeigt.

-term Terminalname
    übergeht die Umgebungsvariable TERM.

-ulcolor 16-color (nur virtuelle Konsolen)
    legt die Farbe für unterstrichene Zeichen fest.

-version
    Display version information and exit.

-help
    Display help text and exit.

SIEHE AUCH
tput(1), stty(1), terminfo(5), tty(4)

FEHLER
Unterschiede zwischen der Minix- und der Linux-Version sind nicht dokumentiert.

VERFÜGBARKEIT
Der Befehl setterm ist Teil des Pakets util-linux und kann von ftp://ftp.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.